| Qore HttpServerUtil Module Reference 1.0

Public Attributes | List of all members
HttpServer::HttpListenerOptionInfo Struct Reference

options for new listeners More...

## Public Attributes
*Qore::SSLCertificate | cert
| SSL cert.
hash< auto > | ext_info
| Additional info added to the notification callback when listeners are started.
int | family = AF_UNSPEC
| network family
bool | get_remote_certs = False
| ask for remote client certificates (causes browsers to prompt for a client cert on new connections) More...
*hash< string, hash< HttpHandlerConfigInfo > > | handler_info
| handler info
*Qore::SSLPrivateKey | key
| SSL key.
*Logger | logger
| logger
*string | name
| the name of the listener
*string | node
| the node value for the bind
*softstring | service
| the service value for the bind
bool | ssl_accept_all_certs = True
| set to False to use openssl CA validation for client certificates More...
int | ssl_verify_flags = 0
| SSL certificate verification constants; see SSL Verification Mode Constants. More...
*code | stopc
| stopc stop notification closure

## Detailed Description

options for new listeners

## Member Data Documentation

## ◆ get_remote_certs

bool HttpServer::HttpListenerOptionInfo::get_remote_certs = False

ask for remote client certificates (causes browsers to prompt for a client cert on new connections)

ignored if no SSL certificate provided, otherwise SSL_VERIFY_PEER is automatically added to ssl_verify_flags

## ◆ ssl_accept_all_certs

bool HttpServer::HttpListenerOptionInfo::ssl_accept_all_certs = True

set to False to use openssl CA validation for client certificates

client certificates are requested if ssl_verify_flags contains SSL_VERIFY_PEER

## ◆ ssl_verify_flags

int HttpServer::HttpListenerOptionInfo::ssl_verify_flags = 0

SSL certificate verification constants; see SSL Verification Mode Constants.

ignored if no SSL certificate provided